Description

Hi,

I am using SEXTANTE 1.09, with QGIS 1.08, in Windows and Linux. I noticed this bug in the Windows version only.

When writing an Rscript, I used the character ">" to redirect the console output to the results viewer. After successfully processing the

script, SEXTANTE opens an empty console ouput; if I choose to export the results to an HTML file, it also comes empty (showing only the

title).

If I go to the SEXTANTE logs and view the "R execution console output", I see that the operations were successfully processed and the

numerical results are display (see bellow).

R execution console output

R version 3.0.0 (2013-04-03) -- "Masked Marvel" 

Copyright (C) 2013 The R Foundation for Statistical Computing

Platform: i386-w64-mingw32/i386 (32-bit)

R is free software and comes with ABSOLUTELY NO WARRANTY.

You are welcome to redistribute it under certain conditions.

Type 'license()' or 'licence()' for distribution details.

R is a collaborative project with many contributors.

Type 'contributors()' for more information and

'citation()' on how to cite R or R packages in publications.

Type 'demo()' for some demos, 'help()' for on-line help, or

'help.start()' for an HTML browser interface to help.

Type 'q()' to quit R.

options("repos"="http://cran.us.r-project.org")

tryCatch(find.package("rgdal"), error=function(e) install.packages("rgdal", lib="C:/Documents and Settings/joana/.qgis//sextante/rlibs"))

[1] "C:/Programas/R/R-3.0.0/library/rgdal" 

library("rgdal")

Loading required package: sp

rgdal: version: 0.8-6, (SVN revision Unversioned directory)

Geospatial Data Abstraction Library extensions to R successfully loaded

Loaded GDAL runtime: GDAL 1.9.2, released 2012/10/08

Path to GDAL shared files: C:/Programas/R/R-3.0.0/library/rgdal/gdal

GDAL does not use iconv for recoding strings.

Loaded PROJ.4 runtime: Rel. 4.7.1, 23 September 2009, [PJ_VERSION: 470]

Path to PROJ.4 shared files: C:/Programas/R/R-3.0.0/library/rgdal/proj

layer = readOGR("//VBOXSVR/tmp/35_sextante_R",layer="updated_table_no_nulls")
OGR data source with driver: ESRI Shapefile 

Source: "//VBOXSVR/tmp/35_sextante_R", layer: "updated_table_no_nulls" 

with 684 features and 36 fields

Feature type: wkbPoint with 2 dimensions

sst="sst" 

z="z" 

clor="clor" 

cor(layer[[z]], layer[[sst]])

[1] 0.3850661

cor(layer[[clor]], layer[[z]])

[1] 0.7935047

cor(layer[[sst]], layer[[clor]])

[1] 0.3175419

proc.time()

user  system elapsed 

1.11    5.27   23.44

Related issues:

Related to QGIS Application - Bug report # 9203: R Plots are blank on qgis64bit Closed 2013-12-11

Associated revisions

Revision 61b02910 - 2014-11-09 04:40 AM - Takayuki Mizutani

fix Empty console Output on R under processing. refs #7643

Revision 4549a389 - 2015-01-21 03:40 PM - Victor Olaya

Merge pull request #1680 from tmizu23/r_utils

fix Empty console Output on R under processing. refs #7643

History

#1 - 2013-04-18 08:35 AM - Filipe Dias

Hi, can you share the script you tried to run and the values with which you run it? Have tried with a previous version of R (R < 3.0.0)?

(You filled this ticket on the "wrong" bugtracker. But soon one of the moderators wil change it to the Sextante bugtracker: 

https://issues.qgis.org/projects/sextante/issues)

#2 - 2013-04-18 08:41 AM - Joana Simoes

Hi Filipe,

Thanks for the quick reply. I have not tried it with a previous version of R (which by the way, I am using in Linux); I should do that and report back to you.

In the meantime, here is the script:

##layer=vector

##sst=field layer

##z=field layer

##clor=field layer
##[GAM scripts]=group

cor(layer[[z]], layer[[sst]])

cor(layer[[clor]], layer[[z]])

cor(layer[[sst]], layer[[clor]])

It is very simple: it takes a vector layer (e.g. a Shapefile), and three fields; then, it calculates the correlation between the fields and it should output it in the

results viewer (as you can see in the log, it is calculating correctly the correlations)

#3 - 2013-04-18 08:43 AM - Joana Simoes

- File correlation.rsx added

I send the script in attachment, as it seems the formatting came wrong in the previous email.

#4 - 2013-04-18 08:59 AM - Filipe Dias

In Qgis Master, Sextante 1.10 and R 2.15.3 it works as expected. Please try in Linux with R < 3.0.0. and report back.

The problem can be from Sextante 1.9 (if you have the chance try it the script with Qgis Master, that ships with Sextante 1.10 by default, and R 3.0.0) or it

can be R related. I don't think R 3.0.0 has been tested with Sextante.

#5 - 2013-04-18 09:57 AM - Joana Simoes

My report does not relate to Linux, but only to Windows (Linux works fine).

I tested it now with R 2.15 and the same problem comes up (no error, but empty console output). Here is the log:

R execution console output

R version 2.15.1 (2012-06-22) -- "Roasted Marshmallows" 

Copyright (C) 2012 The R Foundation for Statistical Computing

ISBN 3-900051-07-0

Platform: i386-pc-mingw32/i386 (32-bit)

R is free software and comes with ABSOLUTELY NO WARRANTY.

You are welcome to redistribute it under certain conditions.

Type 'license()' or 'licence()' for distribution details.

R is a collaborative project with many contributors.

Type 'contributors()' for more information and

'citation()' on how to cite R or R packages in publications.

Type 'demo()' for some demos, 'help()' for on-line help, or

'help.start()' for an HTML browser interface to help.

Type 'q()' to quit R.

options("repos"="http://cran.us.r-project.org")

tryCatch(find.package("rgdal"), error=function(e) install.packages("rgdal", lib="C:/Documents and Settings/joana/.qgis//sextante/rlibs"))

[1] "C:/Programas/R/R-2.15.1/library/rgdal" 
library("rgdal")

Loading required package: sp

rgdal: version: 0.8-6, (SVN revision Unversioned directory)

Geospatial Data Abstraction Library extensions to R successfully loaded

Loaded GDAL runtime: GDAL 1.9.2, released 2012/10/08

Path to GDAL shared files: C:/Programas/R/R-2.15.1/library/rgdal/gdal

GDAL does not use iconv for recoding strings.

Loaded PROJ.4 runtime: Rel. 4.7.1, 23 September 2009, [PJ_VERSION: 470]

Path to PROJ.4 shared files: C:/Programas/R/R-2.15.1/library/rgdal/proj

Warning messages:

1: package 'rgdal' was built under R version 2.15.3 

2: package 'sp' was built under R version 2.15.3 

layer = readOGR("//VBOXSVR/tmp/35_sextante_R",layer="updated_table_no_nulls")

OGR data source with driver: ESRI Shapefile 

Source: "//VBOXSVR/tmp/35_sextante_R", layer: "updated_table_no_nulls" 

with 684 features and 36 fields

Feature type: wkbPoint with 2 dimensions

sst="sst" 

z="z" 

clor="clor" 

cor(layer[[z]], layer[[sst]])

[1] 0.3850661

cor(layer[[clor]], layer[[z]])

[1] 0.7935047

cor(layer[[sst]], layer[[clor]])

[1] 0.3175419

proc.time()

user  system elapsed 

1.45    5.39   25.37

#6 - 2013-04-18 02:22 PM - Filipe Dias

Looks like Windows-specific bug of Sextante 1.9. Can you test in QGIS Master/Sextante 1.10 on Windows? If still get the same problem, then file a bug

report here in Sextante bugtracker.

#7 - 2013-04-19 12:31 AM - Giovanni Manghi

- Project changed from QGIS Application to 78

- Assignee set to Victor Olaya

#8 - 2013-04-19 12:32 AM - Giovanni Manghi

- Category set to 66

#9 - 2013-04-19 01:34 AM - Joana Simoes

I installed now qgis-dev for Windows, using the osgeo4w installer. These are the specifications:

Versão do QGIS    1.9.0-Master    Revisão do código do QGIS    404d89f

Compilado contra Qt    4.7.1    Em execução contra Qt    4.7.1

Compilado contra GDAL/OGR    1.9.2    Em execução contra GDAL/OGR    1.9.2

Versão GEOS    3.3.8    Versão de cliente PostgreSQL    8.3.10
Versão SpatiaLite    3.0.1    Versão QWT    5.2.1

Versão PROJ.4    480    QScintilla2 Version    2.6.2

I tried both R 3.00 and R 2.15, but R does not appear in the SEXTANTE toolbox (after I activate it and ammended the R path to point to the correct folder;

also R is on the Windows path)...

Therefore I cannot test the bug.

Btw, I am using Wxp and SEXTANTE 1.09.

Thanks!

#10 - 2013-04-19 01:50 AM - Giovanni Manghi

- Status changed from Open to Feedback

Joana Simoes wrote:

I installed now qgis-dev for Windows, using the osgeo4w installer. These are the specifications:

Versão do QGIS    1.9.0-Master    Revisão do código do QGIS    404d89f

Compilado contra Qt    4.7.1    Em execução contra Qt    4.7.1

Compilado contra GDAL/OGR    1.9.2    Em execução contra GDAL/OGR    1.9.2

Versão GEOS    3.3.8    Versão de cliente PostgreSQL    8.3.10

Versão SpatiaLite    3.0.1    Versão QWT    5.2.1

Versão PROJ.4    480    QScintilla2 Version    2.6.2

I tried both R 3.00 and R 2.15, but R does not appear in the SEXTANTE toolbox (after I activate it and ammended the R path to point to the correct

folder; also R is on the Windows path)...

Therefore I cannot test the bug.

Btw, I am using Wxp and SEXTANTE 1.09.

Thanks!

analysis -> options and configurations -> general

and uncheck the "use categories to classify algorithms..." checkbox

#11 - 2013-04-19 02:45 AM - Joana Simoes

Thanks for that! I was now able to see the R section.

Now it seems that my Rscript (and all other Rscripts) are falling into a python error:

AttributeError: 'QgsVectorDataProvider' object has no attribute 'select'

For instance, when running one of the example scripts (quadrat analysis):
sextante.runalg("r:quadratanalysis","//VBOXSVR/tmp/35_sextante_R/updated_table_no_nulls.shp",None,None)

I get this:

Uncaught error while executing algorithm

Traceback (most recent call last):

Traceback (most recent call last):

  File "C:\\Documents and Settings\\joana/.qgis2/python/plugins\\sextante\\core\\GeoAlgorithm.py", line 145, in execute

    self.processAlgorithm(progress)

  File "C:\\Documents and Settings\\joana/.qgis2/python/plugins\\sextante\

\\RAlgorithm.py", line 204, in processAlgorithm

    loglines += self.getFullSetOfRCommands()

  File "C:\\Documents and Settings\\joana/.qgis2/python/plugins\\sextante\

\\RAlgorithm.py", line 222, in getFullSetOfRCommands

    commands += self.getImportCommands()

  File "C:\\Documents and Settings\\joana/.qgis2/python/plugins\\sextante\

\\RAlgorithm.py", line 269, in getImportCommands

    value = param.getSafeExportedLayer()

  File "C:\\Documents and Settings\\joana/.qgis2/python/plugins\\sextante\\parameters\\ParameterVector.py", line 82, in getSafeExportedLayer

    self.exported = LayerExporter.exportVectorLayer(layer)

  File "C:\\Documents and Settings\\joana/.qgis2/python/plugins\\sextante\\core\\LayerExporter.py", line 53, in exportVectorLayer

    provider.select( allAttrs )

AttributeError: 'QgsVectorDataProvider' object has no attribute 'select'

I get many "flavours" of this error by running different scripts; it always complains about some attribute that it cannot find in the API. I saw a similar bug

report here:

#7106

Btw, I am using the python that came with the osgeo4w distribution:

Versão do Python:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

#12 - 2013-04-19 03:25 AM - Giovanni Manghi

you must remove sextante installed as python plugin before testing the (updated) version that is shipped with qgis master,

so delete first

C:\\Documents and Settings\\joana/.qgis2/python/plugins\\sextante

Joana Simoes wrote:

Thanks for that! I was now able to see the R section.

Now it seems that my Rscript (and all other Rscripts) are falling into a python error:

AttributeError: 'QgsVectorDataProvider' object has no attribute 'select'

For instance, when running one of the example scripts (quadrat analysis):
sextante.runalg("r:quadratanalysis","//VBOXSVR/tmp/35_sextante_R/updated_table_no_nulls.shp",None,None)

I get this:

_Uncaught error while executing algorithm

Traceback (most recent call last):

Traceback (most recent call last):

File "C:\\Documents and Settings\\joana/.qgis2/python/plugins\\sextante\\core\\GeoAlgorithm.py", line 145, in execute

self.processAlgorithm(progress)

File "C:\\Documents and Settings\\joana/.qgis2/python/plugins\\sextante\

\\RAlgorithm.py", line 204, in processAlgorithm

loglines += self.getFullSetOfRCommands()

File "C:\\Documents and Settings\\joana/.qgis2/python/plugins\\sextante\

\\RAlgorithm.py", line 222, in getFullSetOfRCommands

commands += self.getImportCommands()

File "C:\\Documents and Settings\\joana/.qgis2/python/plugins\\sextante\

\\RAlgorithm.py", line 269, in getImportCommands

value = param.getSafeExportedLayer()

File "C:\\Documents and Settings\\joana/.qgis2/python/plugins\\sextante\\parameters\\ParameterVector.py", line 82, in getSafeExportedLayer

self.exported = LayerExporter.exportVectorLayer(layer)

File "C:\\Documents and Settings\\joana/.qgis2/python/plugins\\sextante\\core\\LayerExporter.py", line 53, in exportVectorLayer

provider.select( allAttrs )

AttributeError: 'QgsVectorDataProvider' object has no attribute 'select'

_

I get many "flavours" of this error by running different scripts; it always complains about some attribute that it cannot find in the API. I saw a similar

bug report here:

#7106

Btw, I am using the python that came with the osgeo4w distribution:

Versão do Python:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

#13 - 2013-04-19 04:21 AM - Victor Olaya

Just tested it in here, with the latest version and Win 7, and output is not empty.

Please remove the old version as Giovanni mentioned and try the latest master version of SEXTANTE and QGIS. It should work fine.

Thanks for your help!
#14 - 2013-04-25 04:20 AM - Joana Simoes

- File error1.png added

- File error2.png added

I just removed the previous installation of QGIS, directories ~/.qgis, ~/.qgis2 and some temporary folders on the home directory that contained reference to

Sextante.

Then I installed the latest version of QGIS for Windows (qgis-dev, using the OSGeo4W):

Versão do QGIS    1.9.0-Master    Revisão do código do QGIS    db762dd

Compilado contra Qt    4.7.1    Em execução contra Qt    4.7.1

Compilado contra GDAL/OGR    1.9.2    Em execução contra GDAL/OGR    1.9.2

Versão GEOS    3.3.8    Versão de cliente PostgreSQL    8.3.10

Versão SpatiaLite    3.0.1    Versão QWT    5.2.1

Versão PROJ.4    480    QScintilla2 Version    2.6.2

Esta cópia do QGIS escreve a depuração de saída

It is a mistery to me why, but when I run the plugin fetcher, it stated "SEXTANTE" as installed, and it did not give me the option of uninstalling it, but to

install it again. I reinstalled SEXTANTE (latest version: 1.09) and restarted QGIS.  The version of R is also the latest: 3.0.0.

Now I am unable to run any R, algorithms as it complaineds about some property that is not in the API (screenshots in attachment)

Thanks in advance for your help.

#15 - 2013-04-25 04:34 AM - Giovanni Manghi

Joana Simoes wrote:

I just removed the previous installation of QGIS, directories ~/.qgis, ~/.qgis2 and some temporary folders on the home directory that contained

reference to Sextante.

Then I installed the latest version of QGIS for Windows (qgis-dev, using the OSGeo4W):

Versão do QGIS    1.9.0-Master    Revisão do código do QGIS    db762dd

Compilado contra Qt    4.7.1    Em execução contra Qt    4.7.1

Compilado contra GDAL/OGR    1.9.2    Em execução contra GDAL/OGR    1.9.2

Versão GEOS    3.3.8    Versão de cliente PostgreSQL    8.3.10

Versão SpatiaLite    3.0.1    Versão QWT    5.2.1

Versão PROJ.4    480    QScintilla2 Version    2.6.2

Esta cópia do QGIS escreve a depuração de saída

It is a mistery to me why, but when I run the plugin fetcher, it stated "SEXTANTE" as installed, and it did not give me the option of uninstalling it, but

to install it again. I reinstalled SEXTANTE (latest version: 1.09) and restarted QGIS.  The version of R is also the latest: 3.0.0.

Now I am unable to run any R, algorithms as it complaineds about some property that is not in the API (screenshots in attachment)

Thanks in advance for your help.

Hi Joana,

forget about what you see in "fetch python plugins", sextante is now a core plugin, but still a python plugin, so it shows in that menu but it is not removable.

If you choose to install it you will actually install the obsolete version. This confusion will go away soon when qgis2 will be ready.
To test the latest code just be sure you don't have any "sextante" folder inside .qgis2/python/plugins

then just activate sextante inside "manage plugins" and you are good to go.

cheers.

#16 - 2013-04-25 06:28 AM - Joana Simoes

Thanks for that! Now I was able to run SEXTANTE (version 1.1).

Unfortunately, the same problem I had in other versions, reproduced here: empty console output (see image in attachment). This is the log that I get:

Algorithm correlation started

R execution commands

options("repos"="http://cran.at.r-project.org/")

deflibloc 

.libPaths(c("C:/Documents and Settings/joana/.qgis2//sextante/rlibs",deflibloc))

tryCatch(find.package("rgdal"), error=function(e) install.packages("rgdal", dependencies=TRUE, lib="C:/Documents and

Settings/joana/.qgis2//sextante/rlibs"))

library("rgdal")

tryCatch(find.package("raster"), error=function(e) install.packages("raster", dependencies=TRUE, lib="C:/Documents and

Settings/joana/.qgis2//sextante/rlibs"))

library("raster")

layer = readOGR("//VBOXSVR/tmp/35_sextante_R",layer="updated_table_no_nulls")

sst="AUTO" 

z="AUTO" 

clor="AUTO" 

cor(layer[[z]], layer[[sst]])

cor(layer[[clor]], layer[[z]])

cor(layer[[sst]], layer[[clor]])

R execution console output

R version 3.0.0 (2013-04-03) -- "Masked Marvel" 

Copyright (C) 2013 The R Foundation for Statistical Computing 

Platform: i386-w64-mingw32/i386 (32-bit)

R is free software and comes with ABSOLUTELY NO WARRANTY. 

You are welcome to redistribute it under certain conditions. 

Type 'license()' or 'licence()' for distribution details.

R is a collaborative project with many contributors. 

Type 'contributors()' for more information and 

'citation()' on how to cite R or R packages in publications.

Type 'demo()' for some demos, 'help()' for on-line help, or 

'help.start()' for an HTML browser interface to help. 

Type 'q()' to quit R.

options("repos"="http://cran.at.r-project.org/") 

deflibloc 

.libPaths(c("C:/Documents and Settings/joana/.qgis2//sextante/rlibs",deflibloc)) 

tryCatch(find.package("rgdal"), error=function(e) install.packages("rgdal", dependencies=TRUE, lib="C:/Documents and

Settings/joana/.qgis2//sextante/rlibs")) 
[1] "C:/Programas/R/R-3.0.0/library/rgdal" 

library("rgdal") 

Loading required package: sp 

rgdal: version: 0.8-6, (SVN revision Unversioned directory) 

Geospatial Data Abstraction Library extensions to R successfully loaded 

Loaded GDAL runtime: GDAL 1.9.2, released 2012/10/08 

Path to GDAL shared files: C:/Programas/R/R-3.0.0/library/rgdal/gdal 

GDAL does not use iconv for recoding strings. 

Loaded PROJ.4 runtime: Rel. 4.7.1, 23 September 2009, [PJ_VERSION: 470] 

Path to PROJ.4 shared files: C:/Programas/R/R-3.0.0/library/rgdal/proj 

tryCatch(find.package("raster"), error=function(e) install.packages("raster", dependencies=TRUE, lib="C:/Documents and

Settings/joana/.qgis2//sextante/rlibs")) 

[1] "C:/Documents and Settings/joana/.qgis2/sextante/rlibs/raster" 

library("raster") 

layer = readOGR("//VBOXSVR/tmp/35_sextante_R",layer="updated_table_no_nulls") 

OGR data source with driver: ESRI Shapefile 

Source: "//VBOXSVR/tmp/35_sextante_R", layer: "updated_table_no_nulls" 

with 684 features and 36 fields 

Feature type: wkbPoint with 2 dimensions 

sst="AUTO" 

z="AUTO" 

clor="AUTO" 

cor(layer[[z]], layer[[sst]]) 

[1] 1 

cor(layer[[clor]], layer[[z]]) 

[1] 1 

cor(layer[[sst]], layer[[clor]]) 

[1] 1

proc.time() 

user system elapsed 

2.64 5.00 24.10 

Converting outputs

Loading resulting layers

Algorithm correlation finished

HTML output has been generated by this algorithm.

Open the SEXTANTE results dialog to check it.

And my original script is here:

##layer=vector

##sst=field layer

##z=field layer

##clor=field layer

##[GAM scripts]=group

cor(layer[[z]], layer[[sst]])

cor(layer[[clor]], layer[[z]])

cor(layer[[sst]], layer[[clor]])

The command, that should trigger the output is this one ">".

Note that I have the same problem, running the example scripts (e.g.: "Field Summary Statistics")
All the other outputs from R (images), are looking ok on the results viewer.

#17 - 2013-04-25 06:59 AM - Joana Simoes

- File empty.png added

Forgot to attach the screenshot

#18 - 2013-04-26 11:54 AM - Victor Olaya

Joana

I am having no problems with that, so let's see if R is correctly working on your machine and producing the text. Please, do the following.

- Run the algorithm that produces no output

- FInd this file in your system C:/Documents and Settings/joana/.qgis2/sextante/sextante_script.r.Rout.

If it is not there, that is the problem, because the resulta are generated from this file

If it is there, send it here, so I can see why SEXTNATE is not processing it correctly

Hopefully this will help us solve this issue

Thanks for your help!

#19 - 2013-06-06 09:39 AM - Filipe Dias

See also #8012

#20 - 2013-06-19 01:28 AM - Joana Simoes

- File results_viewer.png added

- File html_output.png added

Hi Filipe,

Thanks for your patience. I re-run the algorithm, and the output of the sextante_script.r.Rout (which is also displayed in the console, during the

calculations) is correct (I pasted it bellow).

The problem must be in SEXTANTE reading the contents of this file, because both the HTML output and the results viewer do not display the correlation

values (only the title). I attached screenshots of the results viewer and html output.

           Thanks again for your help,

                                              Joana

R version 3.0.0 (2013-04-03) -- "Masked Marvel" 

Copyright (C) 2013 The R Foundation for Statistical Computing

Platform: i386-w64-mingw32/i386 (32-bit)

R is free software and comes with ABSOLUTELY NO WARRANTY.

You are welcome to redistribute it under certain conditions.

Type 'license()' or 'licence()' for distribution details.
R is a collaborative project with many contributors.

Type 'contributors()' for more information and

'citation()' on how to cite R or R packages in publications.

Type 'demo()' for some demos, 'help()' for on-line help, or

'help.start()' for an HTML browser interface to help.

Type 'q()' to quit R.

options("repos"="http://cran.at.r-project.org/")

deflibloc <- .libPaths()[1]

.libPaths(c("C:/Documents and Settings/joana/.qgis2//sextante/rlibs",deflibloc))

tryCatch(find.package("rgdal"), error=function(e) install.packages("rgdal", dependencies=TRUE, lib="C:/Documents and

Settings/joana/.qgis2//sextante/rlibs"))

[1] "C:/Programas/R/R-3.0.0/library/rgdal"

library("rgdal")

Loading required package: sp

rgdal: version: 0.8-6, (SVN revision Unversioned directory)

Geospatial Data Abstraction Library extensions to R successfully loaded

Loaded GDAL runtime: GDAL 1.9.2, released 2012/10/08

Path to GDAL shared files: C:/Programas/R/R-3.0.0/library/rgdal/gdal

GDAL does not use iconv for recoding strings.

Loaded PROJ.4 runtime: Rel. 4.7.1, 23 September 2009, [PJ_VERSION: 470]

Path to PROJ.4 shared files: C:/Programas/R/R-3.0.0/library/rgdal/proj

tryCatch(find.package("raster"), error=function(e) install.packages("raster", dependencies=TRUE, lib="C:/Documents and

Settings/joana/.qgis2//sextante/rlibs"))

[1] "C:/Documents and Settings/joana/.qgis2/sextante/rlibs/raster"

library("raster")

layer = readOGR("//VBOXSVR/tmp/35_sextante_R",layer="updated_table_no_nulls")

OGR data source with driver: ESRI Shapefile 

Source: "//VBOXSVR/tmp/35_sextante_R", layer: "updated_table_no_nulls" 

with 684 features and 36 fields

Feature type: wkbPoint with 2 dimensions

sst="sst" 

z="z" 

clor="clor" 

cor(layer[[z]], layer[[sst]])

[1] 0.3850661

cor(layer[[clor]], layer[[z]])
[1] 0.7935047

cor(layer[[sst]], layer[[clor]])

[1] 0.3175419

proc.time()

   user  system elapsed 

   2.62    4.91   23.15

#21 - 2013-07-22 03:03 AM - Filipe Dias

Is this still valid with the current Qgis Master?

#22 - 2013-09-14 08:14 AM - Alexander Bruy

- Status changed from Feedback to Closed

Closed for lack of feedback. Please reopen if necessary

#23 - 2013-09-14 08:38 AM - Giovanni Manghi

- Status changed from Closed to Reopened

We confirmed this yesterday. I will send the log to Victor and/or attach it here together with few details.

#24 - 2013-09-15 06:17 AM - Giovanni Manghi

Alexander Bruy wrote:

Closed for lack of feedback. Please reopen if necessary

so I tested both R 2.15.x and 3.x on both Windows and Linux, and the script work, but on Windows the results dialog is empty.

#25 - 2013-10-18 08:57 AM - Filipe Dias

Is this still happening? Were you able to determine the cause?

#26 - 2013-11-20 04:35 AM - João Gaspar

Hello everyone,

It seems the R has a package R2HTML that convert the R objects to HTML.
http://cran.r-project.org/web/packages/R2HTML/index.html

Small tutorial: http://statmath.wu.ac.at/courses/data-analysis/lectures/RandHTML.pdf (quick search in the internet)

Perhaps is more easy put R doing the job of converting to html and processing toolbox shows the output of the results?

I hope this helps.

Regards

Joao

#27 - 2014-10-04 11:55 AM - Giovanni Manghi

- Category deleted (66)

- Project changed from 78 to QGIS Application

#28 - 2014-10-04 11:55 AM - Giovanni Manghi

- Category set to 124

#29 - 2015-02-24 07:16 AM - Franziska Beau

Hello,

I'm having the open described problems with R-processing in QGIS. And I didn't find any solution in the Internet. It's the same situation as described in bug

#9203. Everything works good only the "R Console Output" gave me an blanc Window back. As suggested in bug #9203 I know use the 32 bit versions of:

- R 3.1.2

- QGIS 2.4.0 Chugiak

My PC works with the operating system windows 7.

I look as Joana did in the HTML folder with her results - empty files. I installed the R2HTML package nothing changed.

My question is: Have you got any hint for me to get the R Console Output in QGIS. I'm as well interested in unconeventional solutions.

Thank you

Regards

Franziska

#30 - 2015-02-24 07:54 AM - Filipe Dias

This bug should be fixed in QGIS 2.8. Can you please check?

#31 - 2015-02-24 01:33 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

Franziska Beau wrote:

Hello,

I'm having the open described problems with R-processing in QGIS. And I didn't find any solution in the Internet. It's the same situation as described
in bug #9203. Everything works good only the "R Console Output" gave me an blanc Window back. As suggested in bug #9203 I know use the 32

bit versions of:

- R 3.1.2

- QGIS 2.4.0 Chugiak

My PC works with the operating system windows 7.

I look as Joana did in the HTML folder with her results - empty files. I installed the R2HTML package nothing changed.

My question is: Have you got any hint for me to get the R Console Output in QGIS. I'm as well interested in unconeventional solutions.

Thank you

Regards

Franziska

the fix should be this commit:4549a38

you must try the latest qgis release, 2.8, and be sure that in

.qgis2/pyhton/plugins

you don't have any "processing" folder.

#32 - 2015-02-25 02:41 AM - Franziska Beau

Hello,

thanks a lot. I installed QGIS 2.8 via OSgeo4W and now it works. I get the "R console output". So far I can see it really works ...  For your information: to

play a bit safe I only used the 32-bit-version. Until now I didn't try the 64-version. If it comes to this point i will inform you.

Thanks a lot

Best regards

Franziska

#33 - 2015-02-25 03:00 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

#34 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#35 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#36 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.
#37 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 124 to Processing/Core

Files

correlation.rsx 187 Bytes 2013-04-18 Joana Simoes

error1.png 125 KB 2013-04-25 Joana Simoes

error2.png 133 KB 2013-04-25 Joana Simoes

empty.png 6.83 KB 2013-04-25 Joana Simoes

results_viewer.png 7.25 KB 2013-06-18 Joana Simoes

html_output.png 21.1 KB 2013-06-18 Joana Simoes
